{% extends '::base.html.twig'%}
{% block body %}
<div class="row">
  <div class="col-sm-12">
    {% if is_granted('ROLE_ADMIN')%}<a class="btn btn-primary" href="{{path('admin_add_entreprise')}}">Ajouter un utilisateur d'entreprise</a>{% endif %}
  </div>
</div>
<h2>Liste des utilisateur d'entreprise</h2>
<table id="datatable" class="table table-striped table-bordered">
  <thead>
    <tr>
      <th>Nom & prenoms</th>
      <th>Telephone</th>
      <th>Email</th>
      <th>Poste</th>
      <th>Pass</th>
      <th>Action</th>
    </tr>
  </thead>


  <tbody>
    {% for e in entreprises %}
    <tr>
      <td>{{e.nom}}</td>
      <td>{{e.telephone}}</td>
      <td>{{e.email}}</td>
      <td>{{e.poste}}</td>
      <td>{{e.pwdProvisoire}}</td>
      <td>
        {% if is_granted('ROLE_ADMIN')%}
        <a href="{{path('admin_edit_entreprise', {'id':e.id})}}" class="btn btn-info btn-xs"><i class="fa fa-pencil"></i> Modifier </a>
        <a href="{{path('admin_delete_entreprise', {'id':e.id})}}" class="btn btn-danger btn-xs"><i class="fa fa-trash-o"></i> Supprimer </a>
        {% endif %}
      </td>
    </tr>
    {% endfor %}

  </tbody>
</table>
{% endblock %}
